// File:   spyAgent.h

#ifndef _spyAgent_H
#define    _spyAgent_H

#include "ndds/ndds_cpp.h"

// forward declaration
class myBuiltInPubListener;
class myBuiltInSubListener;

class SpyAgent {
    public:
       SpyAgent();
       int startSpying(const int ddsDomainId);
       void stopSpying (void);
       
    private:
       DDSDomainParticipant*   m_participant;
       DDSPublisher*           m_publisher;
       DDSSubscriber*          m_subscriber;
       myBuiltInPubListener*   m_builtin_pub_listener;
       myBuiltInSubListener*   m_builtin_sub_listener;    
};
#endif    /* _spyAgent_H */

